[pkg-fetchmail-maint] Bug#383177: wrong symlink after changing current python

Piotr Ozarowski ozarow at gmail.com
Tue Aug 15 11:19:59 UTC 2006


Package: fetchmailconf
Version: 6.3.4-4
Severity: important
Tags: patch

I've made a mistake in my previous patch: fetchmailconf will not work
after changing current (default) python version because of hard coded
python version in /usr/bin/fetchmailconf link.

With attached patch applied there will be no need to binNMU after such
changes.

Sorry for my mistake.

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.17.4-grsec
Locale: LANG=pl_PL, LC_CTYPE=pl_PL (charmap=ISO-8859-2)

Versions of packages fetchmailconf depends on:
ii  fetchmail                     6.3.4-4    SSL enabled POP3, APOP, IMAP mail 
ii  python                        2.4.3-11   An interactive high-level object-o
ii  python-central                0.5.5      register and build utility for Pyt
ii  python-tk                     2.4.3-3    Tkinter - Writing Tk applications 

fetchmailconf recommends no packages.

-- no debconf information
-------------- next part --------------
diff -u fetchmail-6.3.4/debian/patches/00list fetchmail-6.3.4/debian/patches/00list
--- fetchmail-6.3.4/debian/patches/00list
+++ fetchmail-6.3.4/debian/patches/00list
@@ -1,2 +1,3 @@
+01_fetchmailconf
 03_imap_experimental
 04_eof_fix
diff -u fetchmail-6.3.4/debian/rules fetchmail-6.3.4/debian/rules
--- fetchmail-6.3.4/debian/rules
+++ fetchmail-6.3.4/debian/rules
@@ -160,8 +160,6 @@
 	dh_installman -i 
 	dh_installchangelogs -i
 	dh_link -i usr/share/man/man1/fetchmail.1.gz usr/share/man/man1/fetchmailconf.1.gz
-	dh_link -i -pfetchmailconf usr/lib/python$(PYVER)/site-packages/fetchmailconf.py /usr/bin/fetchmailconf
-	chmod +x debian/fetchmailconf/usr/lib/python$(PYVER)/site-packages/fetchmailconf.py
 	dh_pycentral -i
 	dh_python -i
 	dh_compress -i
only in patch2:
unchanged:
--- fetchmail-6.3.4.orig/debian/patches/01_fetchmailconf.dpatch
+++ fetchmail-6.3.4/debian/patches/01_fetchmailconf.dpatch
@@ -0,0 +1,40 @@
+#! /bin/sh /usr/share/dpatch/dpatch-run
+## 03.fetchmailconf.dpatch by  <Hector Garcia <hector at debian.org>>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: No description.
+
+ at DPATCH@
+diff -urNad trunk~/Makefile.am trunk/Makefile.am
+--- trunk~/Makefile.am	2006-04-02 12:19:27.000000000 +0200
++++ trunk/Makefile.am	2006-08-15 12:58:31.000000000 +0200
+@@ -121,7 +121,7 @@
+ 		dist-tools/manServer.pl
+ 
+ fetchmailconf:
+-	( echo '#! /bin/sh' && echo 'exec @PYTHON@ @pythondir@/fetchmailconf.py "$$@"' ) >$@ || { rm -f $@ ; exit 1; }
++	( echo '#! /bin/sh' && echo 'exec @PYTHON@ /usr/lib/`pyversions -d`/site-packages/fetchmailconf.py "$$@"' ) >$@ || { rm -f $@ ; exit 1; }
+ 
+ FAQ: fetchmail-FAQ.html $(srcdir)/dist-tools/html2txt
+ 	AWK=$(AWK) $(SHELL) $(srcdir)/dist-tools/html2txt $(srcdir)/fetchmail-FAQ.html >$@ || { rm -f $@ ; exit 1 ; }
+diff -urNad trunk~/Makefile.in trunk/Makefile.in
+--- trunk~/Makefile.in	2006-04-14 17:42:56.000000000 +0200
++++ trunk/Makefile.in	2006-08-15 12:58:53.000000000 +0200
+@@ -1422,7 +1422,7 @@
+ 	$(srcdir)/specgen.sh $(VERSION) >fetchmail.spec
+ 
+ fetchmailconf:
+-	( echo '#! /bin/sh' && echo 'exec @PYTHON@ @pythondir@/fetchmailconf.py "$$@"' ) >$@ || { rm -f $@ ; exit 1; }
++	( echo '#! /bin/sh' && echo 'exec @PYTHON@ /usr/lib/`pyversions -d`/site-packages/fetchmailconf.py "$$@"' ) >$@ || { rm -f $@ ; exit 1; }
+ 
+ FAQ: fetchmail-FAQ.html $(srcdir)/dist-tools/html2txt
+ 	AWK=$(AWK) $(SHELL) $(srcdir)/dist-tools/html2txt $(srcdir)/fetchmail-FAQ.html >$@ || { rm -f $@ ; exit 1 ; }
+diff -urNad trunk~/fetchmailconf.py trunk/fetchmailconf.py
+--- trunk~/fetchmailconf.py	2006-03-14 17:10:10.000000000 +0100
++++ trunk/fetchmailconf.py	2006-08-15 12:57:27.000000000 +0200
+@@ -1,5 +1,3 @@
+-#!/usr/bin/env python
+-#
+ # A GUI configurator for generating fetchmail configuration files.
+ # by Eric S. Raymond, <esr at snark.thyrsus.com>,
+ # Matthias Andree <matthias.andree at gmx.de>


More information about the pkg-fetchmail-maint mailing list